

package MyElements::getServicesResponse;

use strict;

use warnings;



{ # BLOCK to scope variables



sub get_xmlns { 'http://webservice.generic.connector.ifw.sam.ca.com' }



__PACKAGE__->__set_name('getServicesResponse');

__PACKAGE__->__set_nillable();

__PACKAGE__->__set_minOccurs();

__PACKAGE__->__set_maxOccurs();

__PACKAGE__->__set_ref();



use base qw(

    SOAP::WSDL::XSD::Typelib::Element

    SOAP::WSDL::XSD::Typelib::ComplexType

);



our $XML_ATTRIBUTE_CLASS;

undef $XML_ATTRIBUTE_CLASS;



sub __get_attr_class {

    return $XML_ATTRIBUTE_CLASS;

}



use Class::Std::Fast::Storable constructor => 'none';

use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);



Class::Std::initialize();



{ # BLOCK to scope variables



my %return_of :ATTR(:get<return>);



__PACKAGE__->_factory(

    [ qw(        return



    ) ],

    {

        'return' => \%return_of,

    },

    {

        'return' => 'MyTypes::Service',

    },

    {



        'return' => 'return',

    }

);



} # end BLOCK













} # end of BLOCK







1;





=pod



=head1 NAME



MyElements::getServicesResponse



=head1 DESCRIPTION



Perl data type class for the XML Schema defined element

getServicesResponse from the namespace http://webservice.generic.connector.ifw.sam.ca.com.















=head1 PROPERTIES



The following properties may be accessed using get_PROPERTY / set_PROPERTY

methods:



=over



=item * return



 $element->set_return($data);

 $element->get_return();











=back





=head1 METHODS



=head2 new



 my $element = MyElements::getServicesResponse->new($data);



Constructor. The following data structure may be passed to new():



 {

   return =>  { # MyTypes::Service

     ciProperties =>  { # MyTypes::CIProperty

       name =>  $some_value, # string

       value =>  $some_value, # string

     },

     cis =>  { # MyTypes::CIEvent

       ciProperties =>  { # MyTypes::CIProperty

         name =>  $some_value, # string

         value =>  $some_value, # string

       },

       className =>  $some_value, # string

       deviceID =>  $some_value, # string

       eventtype =>  $some_value, # string

       instanceID =>  $some_value, # string

     },

     className =>  $some_value, # string

     deviceID =>  $some_value, # string

     eventtype =>  $some_value, # string

     instanceID =>  $some_value, # string

     relationships =>  { # MyTypes::Relationship

       anodeCI =>  $some_value, # string

       associationType =>  $some_value, # string

       bnodeCI =>  $some_value, # string

       className =>  $some_value, # string

       connectorName =>  $some_value, # string

       serviceCI =>  $some_value, # string

       siloName =>  $some_value, # string

     },

   },

 },



=head1 AUTHOR



Generated by SOAP::WSDL



=cut



