package MyTypes::StatusEvent;

use strict;

use warnings;





__PACKAGE__->_set_element_form_qualified(1);



sub get_xmlns { 'http://webservice.generic.connector.ifw.sam.ca.com/xsd' };



our $XML_ATTRIBUTE_CLASS;

undef $XML_ATTRIBUTE_CLASS;



sub __get_attr_class {

    return $XML_ATTRIBUTE_CLASS;

}



use Class::Std::Fast::Storable constructor => 'none';

use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);



Class::Std::initialize();



{ # BLOCK to scope variables



my %cireverseURL_of :ATTR(:get<cireverseURL>);

my %className_of :ATTR(:get<className>);

my %connectorName_of :ATTR(:get<connectorName>);

my %deviceID_of :ATTR(:get<deviceID>);

my %eventDetail_of :ATTR(:get<eventDetail>);

my %eventtype_of :ATTR(:get<eventtype>);

my %instanceID_of :ATTR(:get<instanceID>);

my %reportTime_of :ATTR(:get<reportTime>);

my %severity_of :ATTR(:get<severity>);

my %siloAlarmID_of :ATTR(:get<siloAlarmID>);

my %siloName_of :ATTR(:get<siloName>);

my %situationCategory_of :ATTR(:get<situationCategory>);

my %situationMessage_of :ATTR(:get<situationMessage>);

my %situationType_of :ATTR(:get<situationType>);

my %userAttribute1_of :ATTR(:get<userAttribute1>);

my %userAttribute2_of :ATTR(:get<userAttribute2>);

my %userAttribute3_of :ATTR(:get<userAttribute3>);

my %userAttribute4_of :ATTR(:get<userAttribute4>);

my %userAttribute5_of :ATTR(:get<userAttribute5>);



__PACKAGE__->_factory(

    [ qw(        cireverseURL

        className

        connectorName

        deviceID

        eventDetail

        eventtype

        instanceID

        reportTime

        severity

        siloAlarmID

        siloName

        situationCategory

        situationMessage

        situationType

        userAttribute1

        userAttribute2

        userAttribute3

        userAttribute4

        userAttribute5



    ) ],

    {

        'cireverseURL' => \%cireverseURL_of,

        'className' => \%className_of,

        'connectorName' => \%connectorName_of,

        'deviceID' => \%deviceID_of,

        'eventDetail' => \%eventDetail_of,

        'eventtype' => \%eventtype_of,

        'instanceID' => \%instanceID_of,

        'reportTime' => \%reportTime_of,

        'severity' => \%severity_of,

        'siloAlarmID' => \%siloAlarmID_of,

        'siloName' => \%siloName_of,

        'situationCategory' => \%situationCategory_of,

        'situationMessage' => \%situationMessage_of,

        'situationType' => \%situationType_of,

        'userAttribute1' => \%userAttribute1_of,

        'userAttribute2' => \%userAttribute2_of,

        'userAttribute3' => \%userAttribute3_of,

        'userAttribute4' => \%userAttribute4_of,

        'userAttribute5' => \%userAttribute5_of,

    },

    {

        'cireverseURL' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'connectorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'eventDetail' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'reportTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'severity' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'siloAlarmID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'siloName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'situationCategory' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'situationMessage' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'situationType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'userAttribute1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'userAttribute2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'userAttribute3' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'userAttribute4' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'userAttribute5' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

    },

    {



        'cireverseURL' => 'cireverseURL',

        'className' => 'className',

        'connectorName' => 'connectorName',

        'deviceID' => 'deviceID',

        'eventDetail' => 'eventDetail',

        'eventtype' => 'eventtype',

        'instanceID' => 'instanceID',

        'reportTime' => 'reportTime',

        'severity' => 'severity',

        'siloAlarmID' => 'siloAlarmID',

        'siloName' => 'siloName',

        'situationCategory' => 'situationCategory',

        'situationMessage' => 'situationMessage',

        'situationType' => 'situationType',

        'userAttribute1' => 'userAttribute1',

        'userAttribute2' => 'userAttribute2',

        'userAttribute3' => 'userAttribute3',

        'userAttribute4' => 'userAttribute4',

        'userAttribute5' => 'userAttribute5',

    }

);



} # end BLOCK















1;





=pod



=head1 NAME



MyTypes::StatusEvent



=head1 DESCRIPTION



Perl data type class for the XML Schema defined complexType

StatusEvent from the namespace http://webservice.generic.connector.ifw.sam.ca.com/xsd.













=head2 PROPERTIES



The following properties may be accessed using get_PROPERTY / set_PROPERTY

methods:



=over



=item * cireverseURL





=item * className





=item * connectorName





=item * deviceID





=item * eventDetail





=item * eventtype





=item * instanceID





=item * reportTime





=item * severity





=item * siloAlarmID





=item * siloName





=item * situationCategory





=item * situationMessage





=item * situationType





=item * userAttribute1





=item * userAttribute2





=item * userAttribute3





=item * userAttribute4





=item * userAttribute5









=back





=head1 METHODS



=head2 new



Constructor. The following data structure may be passed to new():



 { # MyTypes::StatusEvent

   cireverseURL =>  $some_value, # string

   className =>  $some_value, # string

   connectorName =>  $some_value, # string

   deviceID =>  $some_value, # string

   eventDetail =>  $some_value, # string

   eventtype =>  $some_value, # string

   instanceID =>  $some_value, # string

   reportTime =>  $some_value, # string

   severity =>  $some_value, # string

   siloAlarmID =>  $some_value, # string

   siloName =>  $some_value, # string

   situationCategory =>  $some_value, # string

   situationMessage =>  $some_value, # string

   situationType =>  $some_value, # string

   userAttribute1 =>  $some_value, # string

   userAttribute2 =>  $some_value, # string

   userAttribute3 =>  $some_value, # string

   userAttribute4 =>  $some_value, # string

   userAttribute5 =>  $some_value, # string

 },









=head1 AUTHOR



Generated by SOAP::WSDL



=cut



