

package MyElements::addServiceCIs;

use strict;

use warnings;



{ # BLOCK to scope variables



sub get_xmlns { 'http://webservice.generic.connector.ifw.sam.ca.com' }



__PACKAGE__->__set_name('addServiceCIs');

__PACKAGE__->__set_nillable();

__PACKAGE__->__set_minOccurs();

__PACKAGE__->__set_maxOccurs();

__PACKAGE__->__set_ref();



use base qw(

    SOAP::WSDL::XSD::Typelib::Element

    SOAP::WSDL::XSD::Typelib::ComplexType

);



our $XML_ATTRIBUTE_CLASS;

undef $XML_ATTRIBUTE_CLASS;



sub __get_attr_class {

    return $XML_ATTRIBUTE_CLASS;

}



use Class::Std::Fast::Storable constructor => 'none';

use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);



Class::Std::initialize();



{ # BLOCK to scope variables



my %cis_of :ATTR(:get<cis>);



__PACKAGE__->_factory(

    [ qw(        cis



    ) ],

    {

        'cis' => \%cis_of,

    },

    {

        'cis' => 'MyTypes::CIEvent',

    },

    {



        'cis' => 'cis',

    }

);



} # end BLOCK













} # end of BLOCK







1;





=pod



=head1 NAME



MyElements::addServiceCIs



=head1 DESCRIPTION



Perl data type class for the XML Schema defined element

addServiceCIs from the namespace http://webservice.generic.connector.ifw.sam.ca.com.















=head1 PROPERTIES



The following properties may be accessed using get_PROPERTY / set_PROPERTY

methods:



=over



=item * cis



 $element->set_cis($data);

 $element->get_cis();











=back





=head1 METHODS



=head2 new



 my $element = MyElements::addServiceCIs->new($data);



Constructor. The following data structure may be passed to new():



 {

   cis =>  { # MyTypes::CIEvent

     ciProperties =>  { # MyTypes::CIProperty

       name =>  $some_value, # string

       value =>  $some_value, # string

     },

     className =>  $some_value, # string

     deviceID =>  $some_value, # string

     eventtype =>  $some_value, # string

     instanceID =>  $some_value, # string

   },

 },



=head1 AUTHOR



Generated by SOAP::WSDL



=cut



