

package MyElements::deleteCIs;

use strict;

use warnings;



{ # BLOCK to scope variables



sub get_xmlns { 'http://webservice.generic.connector.ifw.sam.ca.com' }



__PACKAGE__->__set_name('deleteCIs');

__PACKAGE__->__set_nillable();

__PACKAGE__->__set_minOccurs();

__PACKAGE__->__set_maxOccurs();

__PACKAGE__->__set_ref();



use base qw(

    SOAP::WSDL::XSD::Typelib::Element

    SOAP::WSDL::XSD::Typelib::ComplexType

);



our $XML_ATTRIBUTE_CLASS;

undef $XML_ATTRIBUTE_CLASS;



sub __get_attr_class {

    return $XML_ATTRIBUTE_CLASS;

}



use Class::Std::Fast::Storable constructor => 'none';

use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);



Class::Std::initialize();



{ # BLOCK to scope variables



my %ciDeletes_of :ATTR(:get<ciDeletes>);



__PACKAGE__->_factory(

    [ qw(        ciDeletes



    ) ],

    {

        'ciDeletes' => \%ciDeletes_of,

    },

    {

        'ciDeletes' => 'MyTypes::CIEvent',

    },

    {



        'ciDeletes' => 'ciDeletes',

    }

);



} # end BLOCK













} # end of BLOCK







1;





=pod



=head1 NAME



MyElements::deleteCIs



=head1 DESCRIPTION



Perl data type class for the XML Schema defined element

deleteCIs from the namespace http://webservice.generic.connector.ifw.sam.ca.com.















=head1 PROPERTIES



The following properties may be accessed using get_PROPERTY / set_PROPERTY

methods:



=over



=item * ciDeletes



 $element->set_ciDeletes($data);

 $element->get_ciDeletes();











=back





=head1 METHODS



=head2 new



 my $element = MyElements::deleteCIs->new($data);



Constructor. The following data structure may be passed to new():



 {

   ciDeletes =>  { # MyTypes::CIEvent

     ciProperties =>  { # MyTypes::CIProperty

       name =>  $some_value, # string

       value =>  $some_value, # string

     },

     className =>  $some_value, # string

     deviceID =>  $some_value, # string

     eventtype =>  $some_value, # string

     instanceID =>  $some_value, # string

   },

 },



=head1 AUTHOR



Generated by SOAP::WSDL



=cut



